#if !defined(AFX_DMATLASSTATIC_H__FC35B5B6_021B_4BD1_B82D_C013BFD8AC2B__INCLUDED_)
#define AFX_DMATLASSTATIC_H__FC35B5B6_021B_4BD1_B82D_C013BFD8AC2B__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DMAtlasStatic.h : ヘッダー ファイル
//

/////////////////////////////////////////////////////////////////////////////
// CDMAtlasStatic ウィンドウ

class CDMAtlasStatic : public CStatic
{
	// 
	struct MapTbl;

	// 
	UINT m_iMap;
	// 
	CRect m_rect;
	// 
	UINT m_cx, m_cy;
	// 
	CRect m_rcTile[32][32];
	// 
	BOOL m_fPaint;
	// 
	CPoint m_cursor;

	// 
	void clickAt(CPoint point);

public:
	// 
	void SetCurMap(UINT iMap)
	{
		m_iMap = iMap;
		if (m_iMap > 14) return;
		m_cursor.x = m_cursor.y = -1;
		Invalidate();
		UpdatePreRender();
	}
	// 
	void UpdatePreRender();
	// 
	CPoint GetCursorPos()
	{
		return m_cursor;
	}
	// 
	void SetCursorPos(CPoint point)
	{
		m_cursor = point;
	}

// コンストラクション
public:
	CDMAtlasStatic();

// アトリビュート
public:

// オペレーション
public:

// オーバーライド
	// ClassWizard は仮想関数のオーバーライドを生成します。
	//{{AFX_VIRTUAL(CDMAtlasStatic)
	protected:
	virtual void PreSubclassWindow();
	//}}AFX_VIRTUAL

// インプリメンテーション
public:
	virtual ~CDMAtlasStatic();

	// 生成されたメッセージ マップ関数
protected:
	//{{AFX_MSG(CDMAtlasStatic)
	afx_msg void OnPaint();
	afx_msg UINT OnNcHitTest(CPoint point);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ は前行の直前に追加の宣言を挿入します。

#endif // !defined(AFX_DMATLASSTATIC_H__FC35B5B6_021B_4BD1_B82D_C013BFD8AC2B__INCLUDED_)
